Bug 118815 - [PATCH] extranious error with mdadm
[PATCH] extranious error with mdadm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mdadm (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-20 19:57 EST by Christopher McCrory
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-07 12:22:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error patch (318 bytes, patch)
2004-03-20 19:58 EST, Christopher McCrory
no flags Details | Diff

  None (edit)
Description Christopher McCrory 2004-03-20 19:57:38 EST
Description of problem:
extranious error with mdadm

Version-Release number of selected component (if applicable):
1.4.0

How reproducible:
always

Steps to Reproduce:
1. startup mdadm 
2.
3.
  
Actual results:
[chrismcc@djali /]$ sudo /sbin/service mdmonitor start
Starting mdmonitor: mdadm: bad /proc/mdstat line starts: Event:
mdadm: bad /proc/mdstat line starts: Event:
[chrismcc@djali /]$                                        [  OK  ]



Expected results:

no error

Additional info:

Patch attached ! :)
Comment 1 Christopher McCrory 2004-03-20 19:58:18 EST
Created attachment 98721 [details]
error patch
Comment 2 Christopher McCrory 2004-03-22 15:27:54 EST
I also sent a note to the program author,  this has already been taken
care of in v1.5.0

also
in the init script, stderr is not closed
changing:
mdadm --monitor --scan &
to:
mdadm --monitor --scan --daemonize

solves that.


Comment 3 Doug Ledford 2004-03-30 16:00:35 EST
An updated version of the package that uses the upstream 1.5.0 mdadm
code has been built into our system and should make the next update.

Note You need to log in before you can comment on or make changes to this bug.